For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve partner pricing lists

Get information about all the pricing lists available to a specific partner and which can be used for a new purchase.

Request parameters

Parameter
Type/Description

sessionID

String (Int) Session identifier, which is the output of the Login method. An exception will be thrown if the values are incorrect

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

try {
    $PartnerPricingLists= $client->getPartnerPricingLists ($sessionID);
} catch (SoapFault $e) {
    echo "PricingLists: " . $e->getMessage();
    exit;
}
var_dump ("PricingLists", $PartnerPricingLists);

Response parameters

Parameter
Type / Description

SimplePricingList

Array of Objects An array of pricing list objects with the structure described in the linked object.

Errors

Error
Description

INVALID_PARTNER

No partner is set

PARTNER_PRICING_LISTS_NOT_FOUND

There are no pricing lists with provided code.

Last updated

Was this helpful?